#!/usr/bin/python3

# Rekurzívny záznam typu list
cisla = ([1,2,3,[1,2,3,[1,2,3],4,5,6],4,5,6])

# Súčet čísiel v zázname - rekurzívna funkcia
def recursive_sum(zaznam):
    total = 0
    if len(zaznam) == 0:
        return 0
    for polozka in zaznam:
        if type(polozka) is list:
            total += recursive_sum(polozka)
        else:
            total += polozka
    return total

print("Záznam typu list:",cisla)
print("Súčet čísiel v zázname je:",recursive_sum(cisla))
